# std::experimental::basic_string_view<CharT,Traits>::begin, std::experimental::basic_string_view<CharT,Traits>::cbegin

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr const_iterator begin() const noexcept; |  | (library fundamentals TS)
constexpr const_iterator cbegin() const noexcept; |  | (library fundamentals TS)

Returns an iterator to the first character of the view.

### Parameters

(none)

### Return value

`const_iterator` to the first character

### Complexity

Constant

### See also

endcend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/begin&oldid=93171"